#include <iostream>
#include <string>

using namespace std;

int main ()
{
    int N, br=1, uk=1, d=0;
    cin>>N;
    string niz;
    cin>>niz;
    getline(cin,niz);
    if(N<27)
    {
        cout<<"0";
    }
    else
    {
        for(int i=-1; i<N; i++)
        {
            if((niz[i]==niz[i+1])&&(d==0))
            {
                br++;
            }
            else
            {
                uk=uk*br;
                br=1;
                if(niz[i]>niz[i+1])
                {
                    d=1;
                }
                if(niz[i]<niz[i+1])
                {
                    d=0;
                }
            }
        } 
        uk=uk%(10^9+7);
        cout<<uk;
    }
   
    return 0;
}